View Issue Details

IDProjectCategoryView StatusLast Update
0003325PartDesignBugpublic2018-02-09 23:48
ReporterchrisbAssigned Toabdullah 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0003325: Tip changes unexpectedly and cannot be restored
DescriptionIn fact I am not sure if this is one, two or even three bugs.
In the attached file tipIssue1.FCStd the Tip gets lost, and cannot be restored.
In tipIssue2.FCStd there are two bodies. The tip selection list shows elements from the first body only.
Steps To Reproduce
  1. - Open tipIssue1.FCStd (Tip is correct) - Doubleclick on Cylinder - Cancel the editing panel (no need to change any values) Tip has changed to Cylinder which is a bug. Tip cannot be set back because the list offered is empty
  2. - Open tipIssue2.FCStd. - Select Body001. The tip was lost due to the procedure from above. - In the DataTab click the three dots at the right of the Tip Panel - Only elements from the first body are shown.

- The issue with the wrong list exists for 2nd body with correctly set Tip as well
Additional InformationForum Discussion
TagsNo tags attached.

Activities

chrisb

2018-01-25 17:03

developer  

tipIssue1.FCStd (8,634 bytes)
tipIssue2.FCStd (12,066 bytes)

abdullah

2018-01-28 10:44

manager   ~0010884

TipIssue1 confirmed.

Workaround: select pocket, right-click, set-tip.

abdullah

2018-01-28 10:45

manager   ~0010885

TipIssue2 confirmed.

Same workaround works.

abdullah

2018-01-28 10:45

manager   ~0010886

will take a look this afternoon...

abdullah

2018-01-28 17:37

manager   ~0010887

https://forum.freecadweb.org/viewtopic.php?f=10&t=26624&sid=27e74c1fb93a748e4195426a813c0948

abdullah

2018-02-01 15:08

manager   ~0010909

https://github.com/FreeCAD/FreeCAD/pull/1283

wmayer

2018-02-09 23:48

administrator   ~0010939

https://github.com/FreeCAD/FreeCAD/commit/a33ac385081d7b357a119b5bafa2c7b83624a642

Issue History

Date Modified Username Field Change
2018-01-25 17:03 chrisb New Issue
2018-01-25 17:03 chrisb File Added: tipIssue1.FCStd
2018-01-25 17:03 chrisb File Added: tipIssue2.FCStd
2018-01-27 17:21 abdullah Assigned To => abdullah
2018-01-27 17:21 abdullah Status new => assigned
2018-01-28 10:44 abdullah Note Added: 0010884
2018-01-28 10:45 abdullah Note Added: 0010885
2018-01-28 10:45 abdullah Status assigned => confirmed
2018-01-28 10:45 abdullah Note Added: 0010886
2018-01-28 17:37 abdullah Note Added: 0010887
2018-02-01 15:08 abdullah Note Added: 0010909
2018-02-09 23:48 wmayer Status confirmed => closed
2018-02-09 23:48 wmayer Resolution open => fixed
2018-02-09 23:48 wmayer Fixed in Version => 0.17
2018-02-09 23:48 wmayer Note Added: 0010939